image: nimlang/nim:latest

stages:
  - test
  - publish

compile:
  stage: test
  script:
    - nim c -d:ssl -r tests
  stage: publish
  script:
    - nim c -d:ssl -d:release nimcoon.nim && strip nimcoon
  artifacts:
    paths:
      - nimcoon
